<App>
  <Include src="./functions.rsx" />
  <Frame
    id="$main"
    enableFullBleed={false}
    isHiddenOnDesktop={false}
    isHiddenOnMobile={false}
    padding="8px 12px"
    sticky={null}
    type="main"
  >
    <Module
      id="acmeInventoryModule1"
      name="Acme Inventory Module"
      pageUuid="0dc56770-fe7a-11ee-ab3d-4fb57c0336f1"
    />
    <Form
      id="form1"
      footerPadding="4px 12px"
      headerPadding="4px 12px"
      padding="12px"
      requireValidation={true}
      resetAfterSubmit={true}
      showBody={true}
      showFooter={true}
      showHeader={true}
    >
      <Header>
        <Text
          id="formTitle1"
          value="#### Create inventory item"
          verticalAlign="center"
        />
      </Header>
      <Body>
        <TextInput
          id="id"
          label="Id"
          placeholder="Enter value"
          required={true}
        />
        <TextInput
          id="sku"
          label="SKU"
          placeholder="Enter value"
          required={true}
        />
        <TextInput
          id="desc"
          label="Description"
          placeholder="Enter value"
          required={true}
        />
        <TextInput
          id="quantity"
          label="Quantity"
          placeholder="Enter value"
          required={true}
        />
        <TextInput
          id="replenish"
          label="Replenish"
          placeholder="Enter value"
          required={true}
        />
        <Select
          id="select1"
          emptyMessage="No options"
          itemMode="static"
          label="Location"
          overlayMaxHeight={375}
          placeholder="Select an option"
          required={true}
          showSelectionIndicator={true}
        >
          <Option
            id="74c7c"
            label="Detroit, MI, USA"
            value="Detroit, MI, USA"
          />
          <Option
            id="94425"
            label="Toronto, Ontario, CN"
            value="Toronto, Ontario, CN"
          />
        </Select>
      </Body>
      <Footer>
        <Button
          id="formButton1"
          submit={true}
          submitTargetId="form1"
          text="Submit"
        />
      </Footer>
      <Event
        event="submit"
        method="trigger"
        params={{ ordered: [] }}
        pluginId="addInventory"
        type="datasource"
        waitMs="0"
        waitType="debounce"
      />
    </Form>
  </Frame>
</App>
